Bug 734261 - gypsy fails to build due to unused priv variable
Summary: gypsy fails to build due to unused priv variable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gypsy
Version: 15
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 22:12 UTC by Jeff Bastian
Modified: 2011-11-29 00:19 UTC (History)
1 user (show)

Fixed In Version: gypsy-0.8-5.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-29 00:10:58 UTC


Attachments (Terms of Use)
patch to comment out unused variable (503 bytes, patch)
2011-08-29 22:12 UTC, Jeff Bastian
no flags Details | Diff

Description Jeff Bastian 2011-08-29 22:12:41 UTC
Created attachment 520476 [details]
patch to comment out unused variable

Description of problem:
gypsy fails to rebuild due to an unused priv variable in gypsy-time.c and the new gcc 4.6 default of -Werror=unused-but-set-variable:

...
gypsy-time.c: In function 'get_property':
gypsy-time.c:158:20: error: variable 'priv' set but not used [-Werror=unused-but-set-variable]
cc1: all warnings being treated as errors
make[3]: *** [libgypsy_la-gypsy-time.lo] Error 1
...

A patch is attached that simply comments out this unused variable to make gcc happy.


Version-Release number of selected component (if applicable):
gypsy-0.8-2.fc15.src.rpm

How reproducible:
every time

Steps to Reproduce:
1. rpmbuild --rebuild gypsy-0.8-2.fc15.src.rpm
  
Actual results:
gypsy-time.c:158:20: error: variable 'priv' set but not used [-Werror=unused-but-set-variable]

Expected results:
gypsy rebuilds

Additional info:

Comment 1 Fedora Update System 2011-11-16 13:02:01 UTC
gypsy-0.8-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gypsy-0.8-5.fc14

Comment 2 Fedora Update System 2011-11-16 13:02:10 UTC
gypsy-0.8-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gypsy-0.8-5.fc15

Comment 3 Fedora Update System 2011-11-16 13:02:18 UTC
gypsy-0.8-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gypsy-0.8-5.fc16

Comment 4 Fedora Update System 2011-11-17 23:31:16 UTC
Package gypsy-0.8-5.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gypsy-0.8-5.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16004/gypsy-0.8-5.fc14
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-11-29 00:10:58 UTC
gypsy-0.8-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-11-29 00:11:09 UTC
gypsy-0.8-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-11-29 00:19:39 UTC
gypsy-0.8-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.